Вчера я потестировал новую версию на реальном сервере и выяснил что у меня в pdo не установлен драйвер mysql для pdo. Не сам mysql, а именно pdo драйвер. Я не силен в серверах - просто боюсь порушить то, что и так нормально работает. Попытался безуспешно самостоятельно поставить драйвер, а потом подумал - такая же засада может ожидать и других моих юзверей. Поэтому я спешно поправил класс управления бд. Частично отказался от pdo Точнее дела обстоят следующим образом: по умолчанию pdo не используется, а используются древние php функции mysql_*. Если есть желание то можно вернуть обратно pdo. Я его оставил, да и использовал, по простым соображениям: pdo поддерживает множество движков баз, например sqlite, firebird, mssql, informix, mysql, и так далее. У меня было и остается абстрактное желание запускать блоголёт на любом движке баз, а не только mysql, вот именно поэтому я и использовал pdo.

Отказ от pdo затронул несколько классов, в которых он использовался напрямую. Теперь же используется через мою простую прокладку. Так что мое решение - это возможность использования pdo. Мне казалось, что подобная переделка потребует много времени, но оказалось, что я достаточно успешно написал прокладку. Скачать эту версию можно отсюда: http://litepublisher.googlecode.com/files/litepublisher.3.17.tar.gz